# TODO:
# Conflict /usr/bin/kactivitymanagerd
%define		kdeframever	5.86
%define		qtver		5.9.0
%define		kfname		kactivities-stats

Summary:	Core components for the KDE's Activities Activity Manager
Name:		kf5-%{kfname}
Version:	5.86.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	a783cb73830ec77963cb5a3fe2b1d994
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Network-devel >= %{qtver}
BuildRequires:	Qt5Qml-devel >= %{qtver}
BuildRequires:	Qt5Sql-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	boost-devel
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-attica-devel >= %{version}
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kactivities-devel >= %{version}
BuildRequires:	kf5-kauth-devel >= %{version}
BuildRequires:	kf5-kbookmarks-devel >= %{version}
BuildRequires:	kf5-kcmutils-devel >= %{version}
BuildRequires:	kf5-kcodecs-devel >= %{version}
BuildRequires:	kf5-kcompletion-devel >= %{version}
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kconfigwidgets-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kdbusaddons-devel >= %{version}
BuildRequires:	kf5-kdeclarative-devel >= %{version}
BuildRequires:	kf5-kglobalaccel-devel >= %{version}
BuildRequires:	kf5-kguiaddons-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-kiconthemes-devel >= %{version}
BuildRequires:	kf5-kio-devel >= %{version}
BuildRequires:	kf5-kitemviews-devel >= %{version}
BuildRequires:	kf5-kjobwidgets-devel >= %{version}
BuildRequires:	kf5-kservice-devel >= %{version}
BuildRequires:	kf5-ktextwidgets-devel >= %{version}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{version}
BuildRequires:	kf5-kwindowsystem-devel >= %{version}
BuildRequires:	kf5-kxmlgui-devel >= %{version}
BuildRequires:	kf5-solid-devel >= %{version}
BuildRequires:	kf5-sonnet-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
System service to manage user's activities, track the usage patterns
etc. KActivities library API for using and interacting with the
Activity Manager as a consumer, application adding information to them
or as an activity manager. Workspace Plugins for KDE workspace to
easier integrate activities (KIO, etc.)

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%ghost %{_libdir}/libKF5ActivitiesStats.so.1
%{_libdir}/libKF5ActivitiesStats.so.5.*.*
%{_datadir}/qlogging-categories5/kactivities-stats.categories
%{_datadir}/qlogging-categories5/kactivities-stats.renamecategories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KActivitiesStats
%{_includedir}/KF5/kactivitiesstats_version.h
%{_libdir}/cmake/KF5ActivitiesStats
%{_libdir}/libKF5ActivitiesStats.so
%{_pkgconfigdir}/libKActivitiesStats.pc
%{_libdir}/qt5/mkspecs/modules/qt_KActivitiesStats.pri
%changelog
* Fri Sep 17 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kactivities-stats.git;a=log;h=master

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 0458f7f
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a1bd0f4
- updated to 5.85.0

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1b0610b
- updated to 5.84.0

* Mon Jun 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 7ae246d
- updated to 5.83.0

* Mon May 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 52f5984
- updated to 5.82.0

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5c1178b
- updated to 5.81.0

* Mon Mar 22 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 72b6e8b
- updated to 5.80.0

* Sat Mar 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 969feb3
- update to 5.79.0

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> 70db403
- Up to 5.67.0.

* Sat Dec 14 2019 Bartek Szady <bszx@bszx.eu> 207c5a9
- pkgconfig and qmake files moved to devel subpackage

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> eb3ac0d
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 0b335ba
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 3182d5b
- updated to 5.53.0

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 218f627
- updated to 5.39.0

